# Class TColumnValue

java.lang.Object
org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>
com.databricks.jdbc.model.client.thrift.generated.TColumnValue

All Implemented Interfaces:
  `Serializable`, `Comparable<TColumnValue>`, `org.apache.thrift.TBase<TColumnValue,TColumnValue._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TColumnValue extends org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TColumnValue._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TColumnValue._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

## Constructor Summary

Constructors
Constructor
Description
`TColumnValue()`
`TColumnValue(TColumnValue other)`
`TColumnValue(TColumnValue._Fields setField, Object value)`

## Method Summary

Modifier and Type
Method
Description
`static TColumnValue`
`boolVal(TBoolValue value)`
`static TColumnValue`
`byteVal(TByteValue value)`
`protected void`
`checkType(TColumnValue._Fields setField, Object value)`
`int`
`compareTo(TColumnValue other)`
`TColumnValue`
`deepCopy()`
`static TColumnValue`
`doubleVal(TDoubleValue value)`
`protected TColumnValue._Fields`
`enumForId(short id)`
`boolean`
`equals(TColumnValue other)`
`boolean`
`equals(Object other)`
`TColumnValue._Fields`
`fieldForId(int fieldId)`
`TBoolValue`
`getBoolVal()`
`TByteValue`
`getByteVal()`
`TDoubleValue`
`getDoubleVal()`
`protected org.apache.thrift.protocol.TField`
`getFieldDesc(TColumnValue._Fields setField)`
`TI16Value`
`getI16Val()`
`TI32Value`
`getI32Val()`
`TI64Value`
`getI64Val()`
`TStringValue`
`getStringVal()`
`protected org.apache.thrift.protocol.TStruct`
`getStructDesc()`
`int`
`hashCode()`
`static TColumnValue`
`i16Val(TI16Value value)`
`static TColumnValue`
`i32Val(TI32Value value)`
`static TColumnValue`
`i64Val(TI64Value value)`
`boolean`
`isSetBoolVal()`
`boolean`
`isSetByteVal()`
`boolean`
`isSetDoubleVal()`
`boolean`
`isSetI16Val()`
`boolean`
`isSetI32Val()`
`boolean`
`isSetI64Val()`
`boolean`
`isSetStringVal()`
`void`
`setBoolVal(TBoolValue value)`
`void`
`setByteVal(TByteValue value)`
`void`
`setDoubleVal(TDoubleValue value)`
`void`
`setI16Val(TI16Value value)`
`void`
`setI32Val(TI32Value value)`
`void`
`setI64Val(TI64Value value)`
`void`
`setStringVal(TStringValue value)`
`protected Object`
`standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void`
`standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`
`static TColumnValue`
`stringVal(TStringValue value)`
`protected Object`
`tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void`
`tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### metaDataMap

public static final Map<TColumnValue._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TColumnValue

public TColumnValue()

### TColumnValue

public TColumnValue(TColumnValue._Fields setField, Object value)

### TColumnValue

public TColumnValue(TColumnValue other)

## Method Details

### deepCopy

public TColumnValue deepCopy()

### boolVal

public static TColumnValue boolVal(TBoolValue value)

### byteVal

public static TColumnValue byteVal(TByteValue value)

### i16Val

public static TColumnValue i16Val(TI16Value value)

### i32Val

public static TColumnValue i32Val(TI32Value value)

### i64Val

public static TColumnValue i64Val(TI64Value value)

### doubleVal

public static TColumnValue doubleVal(TDoubleValue value)

### stringVal

public static TColumnValue stringVal(TStringValue value)

### checkType

protected void checkType(TColumnValue._Fields setField, Object value) throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`
Throws:
  `ClassCastException`

### standardSchemeReadValue

protected Object standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field) throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### standardSchemeWriteValue

protected void standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeReadValue

protected Object tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeWriteValue

protected void tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### getFieldDesc

protected org.apache.thrift.protocol.TField getFieldDesc(TColumnValue._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`

### getStructDesc

protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`

### enumForId

protected TColumnValue._Fields enumForId(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields>`

### fieldForId

public TColumnValue._Fields fieldForId(int fieldId)

### getBoolVal

public TBoolValue getBoolVal()

### setBoolVal

public void setBoolVal(TBoolValue value)

### getByteVal

public TByteValue getByteVal()

### setByteVal

public void setByteVal(TByteValue value)

### getI16Val

public TI16Value getI16Val()

### setI16Val

public void setI16Val(TI16Value value)

### getI32Val

public TI32Value getI32Val()

### setI32Val

public void setI32Val(TI32Value value)

### getI64Val

public TI64Value getI64Val()

### setI64Val

public void setI64Val(TI64Value value)

### getDoubleVal

public TDoubleValue getDoubleVal()

### setDoubleVal

public void setDoubleVal(TDoubleValue value)

### getStringVal

public TStringValue getStringVal()

### setStringVal

public void setStringVal(TStringValue value)

### isSetBoolVal

public boolean isSetBoolVal()

### isSetByteVal

public boolean isSetByteVal()

### isSetI16Val

public boolean isSetI16Val()

### isSetI32Val

public boolean isSetI32Val()

### isSetI64Val

public boolean isSetI64Val()

### isSetDoubleVal

public boolean isSetDoubleVal()

### isSetStringVal

public boolean isSetStringVal()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TColumnValue other)

### compareTo

public int compareTo(TColumnValue other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`